Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227116 - Review Request: servletapi4-4.0.4-4jpp - Java servlet and JSP implementation classes
Summary: Review Request: servletapi4-4.0.4-4jpp - Java servlet and JSP implementation ...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:58 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-28 17:46:50 UTC


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:58:12 UTC
Spec URL: http://people.redhat.com/rafaels/specs/servletapi4-4.0.4-4jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/servletapi4-4.0.4-4jpp.src.rpm
Description: This subproject contains the source code for the implementation classes
of the Java Servlet and JSP APIs (packages javax.servlet).

Javadoc generated Documentation for servletapi4.

Comment 1 Jason Tibbitts 2008-06-28 17:46:50 UTC
Closing as detailed in bug 227128.


Comment 2 Jochen Schmitt 2008-06-29 19:02:36 UTC
Good:
+ Local build works fine.
+ Mock build works fine.

Bad:

- Rpmlint complaints source rpm:
$ rpmlint servletapi4-4.0.4-4jpp.src.rpm
servletapi4.src:50: W: unversioned-explicit-provides servlet
servletapi4.src:57: W: unversioned-explicit-obsoletes servlet4
servletapi4.src:58: W: unversioned-explicit-obsoletes servlet23
servletapi4.src:59: W: unversioned-explicit-provides servlet4
servletapi4.src:60: W: unversioned-explicit-provides servlet23
servletapi4.src:74: W: rpm-buildroot-usage %prep rm -rf $RPM_BUILD_ROOT
servletapi4.src:75: W: setup-not-quiet
servletapi4.src:173: W: macro-in-%changelog name
servletapi4.src: E: no-cleaning-of-buildroot %install
servletapi4.src: W: mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 31)
servletapi4.src: W: non-standard-group Internet/WWW/Dynamic Content
servletapi4.src: W: invalid-license Apache License
servletapi4.src: E: unknown-key GPG#c431416d
1 packages and 0 specfiles checked; 2 errors, 11 warnings.
- Package contains wrong Group tag
- Package should not contains Vendor tag
- Package should not contains Distribution tag.
- Source tag contains not a full quallified URI
- Package doesn't contains buildRequires and Requires to java
- Rpmlint conplaints binary package:
$ rpmlint servletapi4-4.0.4-4jpp.noarch.rpm
servletapi4.noarch: W: non-standard-group Internet/WWW/Dynamic Content
servletapi4.noarch: W: incoherent-version-in-changelog 4.0.4-4jpp 0:4.0.4-4jpp
servletapi4.noarch: W: invalid-license Apache License
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
- Rpmlint complaints javadoc rpm:
$ rpmlint servletapi4-javadoc-4.0.4-4jpp.noarch.rpm
servletapi4-javadoc.noarch: W: non-standard-group Development/Documentation
servletapi4-javadoc.noarch: W: invalid-license Apache License
1 packages and 0 specfiles checked; 0 errors, 2 warnings.




Note You need to log in before you can comment on or make changes to this bug.